Bug 2458 - nds schema fixes
Summary: nds schema fixes
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts (show other bugs)
Version: 3.0.11
Hardware: All Linux
: P3 enhancement
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-15 18:08 UTC by Lars Müller
Modified: 2005-08-24 10:27 UTC (History)
1 user (show)

See Also:


Attachments
Required changes to the nds schema (744 bytes, patch)
2005-03-15 18:15 UTC, Lars Müller
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Müller 2005-03-15 18:08:06 UTC
The current schema for NDS needs a small modification.
Comment 1 Lars Müller 2005-03-15 18:15:22 UTC
Created attachment 1036 [details]
Required changes to the nds schema

This changes are part of the latest SuSE Linux Enterprise Server Samba version
which is the base for the Novell Open Enterprise Server.

Changes made by Vince.
Comment 2 Vince Brimhall 2005-03-16 10:03:33 UTC
The schema defined sambaPasswordHistory as a 32 byte value, but pdb_ldap.c
requires 64 bytes. See init_ldap_from_sam in pdb_ldap.c

Comment 3 Jeremy Allison 2005-03-16 18:24:10 UTC
Applied, thanks !
Jeremy.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:27:58 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.